import { Metadata, PdfFormat } from '../../common';
import { ChromiumOptions } from './common.types';
type PageSize = {
    width: number;
    height: number;
};
type PageMargins = {
    top: number;
    bottom: number;
    left: number;
    right: number;
};
export type PageProperties = {
    singlePage?: boolean;
    size?: PageSize;
    margins?: PageMargins;
    preferCssPageSize?: boolean;
    printBackground?: boolean;
    omitBackground?: boolean;
    landscape?: boolean;
    scale?: number;
    nativePageRanges?: {
        from: number;
        to: number;
    };
};
export type ConversionOptions = ChromiumOptions & {
    properties?: PageProperties;
    pdfFormat?: PdfFormat;
    pdfUA?: boolean;
    userAgent?: string;
    metadata?: Metadata;
};
export {};
