"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Screenshot = void 0;
const main_config_1 = require("../../main.config");
/**
 * Abstract class representing a generic screenshot.
 * Concrete screenshot classes should extend this class and implement specific screenshot logic.
 */
class Screenshot {
    /**
     * Creates an instance of the screenshot class.
     * Initializes the endpoint URL based on the provided ChromiumRoute.
     *
     * @param {ChromiumRoute} route - The ChromiumRoute enum value representing the screenshot route.
     */
    constructor(route) {
        this.endpoint = `${main_config_1.Chromiumly.GOTENBERG_ENDPOINT}/${main_config_1.Chromiumly.CHROMIUM_SCREENSHOT_PATH}/${main_config_1.Chromiumly.CHROMIUM_ROUTES[route]}`;
    }
}
exports.Screenshot = Screenshot;
//# sourceMappingURL=screenshot.js.map