"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gotenberg = void 0;
const tslib_1 = require("tslib");
process.env.SUPPRESS_NO_CONFIG_WARNING = 'y';
const dotenv = tslib_1.__importStar(require("dotenv"));
const path = tslib_1.__importStar(require("path"));
const config_1 = tslib_1.__importDefault(require("config"));
// Load endpoint from environment-specific file (e.g., .env.development)
const envFile = `.env.${process.env.NODE_ENV}`;
const envFileFallback = '.env';
const dotenvConfig = dotenv.config({ path: path.resolve(envFile) });
// Fallback to loading the default environment file.
if (dotenvConfig.error) {
    dotenv.config({ path: path.resolve(envFileFallback) });
}
/**
 * Class representing configuration for interacting with Gotenberg service.
 */
class Gotenberg {
}
exports.Gotenberg = Gotenberg;
/**
 * The Gotenberg service endpoint.
 * Defaults to the value from the environment variable `GOTENBERG_ENDPOINT`, or falls back to the configuration file.
 * @type {string}
 */
Gotenberg.endpoint = process.env.GOTENBERG_ENDPOINT ||
    config_1.default.get('gotenberg.endpoint');
//# sourceMappingURL=gotenberg.js.map